Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class X509StoreCertCollection

    java.lang.Object
      org.bouncycastle.x509.X509StoreSpi
          org.bouncycastle.jce.provider.X509StoreCertCollection

    public class X509StoreCertCollection

extends X509StoreSpi

Constructor Summary
`X509StoreCertCollection()`

Method Summary
`java.util.Collection` | `engineGetMatches(Selector selector)`
`void` | `engineInit(X509StoreParameters params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509StoreCertCollection

    public X509StoreCertCollection()

Method Detail

### engineInit

    public void engineInit(X509StoreParameters params)

  Specified by:
    `engineInit` in class `X509StoreSpi`

### engineGetMatches

    public java.util.Collection engineGetMatches(Selector selector)

  Specified by:
    `engineGetMatches` in class `X509StoreSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD